﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace PagesTest.ViewModel
{
    public class MainWorkspace : ViewModelBase
    {

        private List<object> _availableContents;
        public List<object> AvailableContents { get => _availableContents; set => SetValue(ref _availableContents, value); }


        private object _currentContent;
        public object CurrentContent { get => _currentContent; set => SetValue(ref _currentContent, value); }

        public ICommand SwitchViewCommand { get; private set; }
        public MainWorkspace()
        {
            AvailableContents = new List<object>();
            AvailableContents.Add(new MainViewModel("Inhalt Hauptseite", this) { WindowTitle = "Hauptseite" });
            AvailableContents.Add(new FirstViewModel("Inhalt Ertste Seite", this) { WindowTitle = "Erste Seite" });
            AvailableContents.Add(new SecondViewModel("Inhalt Zweite Seite", this) { WindowTitle = "Zweite Seite" });
            CurrentContent = AvailableContents.First();
        }
    }
}
